SdFat: ios_base Class Reference

SdFat

Public Types | Public Member Functions | Static Public Attributes | List of all members
ios_base Class Reference

Base class for all streams. More...

`#include <ios.h>`

Inheritance diagram for ios_base:
[legend]

## Public Types
typedef unsigned int | fmtflags
typedef unsigned char | iostate
typedef int32_t | off_type
typedef uint8_t | openmode
typedef uint32_t | pos_type
enum | seekdir { beg, cur, end }
typedef uint32_t | streamsize

## Public Member Functions
char | fill ()
char | fill (char c)
fmtflags | flags () const
fmtflags | flags (fmtflags fl)
int | precision () const
int | precision (unsigned int n)
fmtflags | setf (fmtflags fl)
fmtflags | setf (fmtflags fl, fmtflags mask)
void | unsetf (fmtflags fl)
unsigned | width ()
unsigned | width (unsigned n)

## Static Public Attributes
static const fmtflags | adjustfield = left | right | internal
static const openmode | app = 0X4
static const openmode | ate = 0X8
static const iostate | badbit = 0X01
static const fmtflags | basefield = dec | hex | oct
static const openmode | binary = 0X10
static const fmtflags | boolalpha = 0x0100
static const fmtflags | dec = 0x0008
static const iostate | eofbit = 0x02
static const iostate | failbit = 0X04
static const iostate | goodbit = 0x00
static const fmtflags | hex = 0x0010
static const openmode | in = 0X20
static const fmtflags | internal = 0x0004
static const fmtflags | left = 0x0001
static const fmtflags | oct = 0x0020
static const openmode | out = 0X40
static const fmtflags | right = 0x0002
static const fmtflags | showbase = 0x0200
static const fmtflags | showpoint = 0x0400
static const fmtflags | showpos = 0x0800
static const fmtflags | skipws = 0x1000
static const openmode | trunc = 0X80
static const fmtflags | uppercase = 0x4000

## Detailed Description

Base class for all streams.

## Member Typedef Documentation

## ◆ fmtflags

typedef unsigned int ios_base::fmtflags

type for format flags

## ◆ iostate

typedef unsigned char ios_base::iostate

typedef for iostate bitmask

## ◆ off_type

typedef int32_t ios_base::off_type

type for relative seek offset

## ◆ openmode

typedef uint8_t ios_base::openmode

typedef for iostream open mode

## ◆ pos_type

typedef uint32_t ios_base::pos_type

type for absolute seek position

## ◆ streamsize

typedef uint32_t ios_base::streamsize

unsigned size that can represent maximum file size. (violates spec - should be signed)

## Member Enumeration Documentation

## ◆ seekdir

enum ios_base::seekdir

enumerated type for the direction of relative seeks

Enumerator
beg | seek relative to the beginning of the stream
cur | seek relative to the current stream position
end | seek relative to the end of the stream

## Member Function Documentation

## ◆ fill() [1/2]

char ios_base::fill | ( |  | ) |
| inline

Returns
  fill character

## ◆ fill() [2/2]

char ios_base::fill | ( | char | c | ) |
| inline

Set fill character

Parameters

  [in] | c | new fill character

Returns
  old fill character

## ◆ flags() [1/2]

fmtflags ios_base::flags | ( |  | ) | const
| inline

Returns
  format flags

## ◆ flags() [2/2]

fmtflags ios_base::flags | ( | fmtflags | fl | ) |
| inline

set format flags

Parameters

  [in] | fl | new flag

Returns
  old flags

## ◆ precision() [1/2]

int ios_base::precision | ( |  | ) | const
| inline

Returns
  precision

## ◆ precision() [2/2]

int ios_base::precision | ( | unsigned int | n | ) |
| inline

set precision

Parameters

  [in] | n | new precision

Returns
  old precision

## ◆ setf() [1/2]

fmtflags ios_base::setf | ( | fmtflags | fl | ) |
| inline

set format flags

Parameters

  [in] | fl | new flags to be or'ed in

Returns
  old flags

## ◆ setf() [2/2]

fmtflags ios_base::setf | ( | fmtflags | fl,
|  | fmtflags | mask
| ) |  |
| inline

modify format flags

Parameters

  [in] | mask | flags to be removed
  [in] | fl | flags to be set after mask bits have been cleared

Returns
  old flags

## ◆ unsetf()

void ios_base::unsetf | ( | fmtflags | fl | ) |
| inline

clear format flags

Parameters

  [in] | fl | flags to be cleared

Returns
  old flags

## ◆ width() [1/2]

unsigned ios_base::width | ( |  | ) |
| inline

Returns
  width

## ◆ width() [2/2]

unsigned ios_base::width | ( | unsigned | n | ) |
| inline

set width

Parameters

  [in] | n | new width

Returns
  old width

## Member Data Documentation

## ◆ adjustfield

const fmtflags ios_base::adjustfield = left | right | internal
| static

mask for adjustfield

## ◆ app

const openmode ios_base::app = 0X4
| static

seek to end before each write

## ◆ ate

const openmode ios_base::ate = 0X8
| static

open and seek to end immediately after opening

## ◆ badbit

const iostate ios_base::badbit = 0X01
| static

iostate bad bit for a nonrecoverable error.

## ◆ basefield

const fmtflags ios_base::basefield = dec | hex | oct
| static

mask for basefield

## ◆ binary

const openmode ios_base::binary = 0X10
| static

perform input and output in binary mode (as opposed to text mode)

## ◆ boolalpha

const fmtflags ios_base::boolalpha = 0x0100
| static

use strings true/false for bool

## ◆ dec

const fmtflags ios_base::dec = 0x0008
| static

base 10 flag

## ◆ eofbit

const iostate ios_base::eofbit = 0x02
| static

iostate bit for end of file reached

## ◆ failbit

const iostate ios_base::failbit = 0X04
| static

iostate fail bit for nonfatal error

## ◆ goodbit

const iostate ios_base::goodbit = 0x00
| static

iostate for no flags

## ◆ hex

const fmtflags ios_base::hex = 0x0010
| static

base 16 flag

## ◆ in

const openmode ios_base::in = 0X20
| static

open for input

## ◆ internal

const fmtflags ios_base::internal = 0x0004
| static

fill between sign/base prefix and number

## ◆ left

const fmtflags ios_base::left = 0x0001
| static

left adjust fields

## ◆ oct

const fmtflags ios_base::oct = 0x0020
| static

base 8 flag

## ◆ out

const openmode ios_base::out = 0X40
| static

open for output

## ◆ right

const fmtflags ios_base::right = 0x0002
| static

right adjust fields

## ◆ showbase

const fmtflags ios_base::showbase = 0x0200
| static

use prefix 0X for hex and 0 for oct

## ◆ showpoint

const fmtflags ios_base::showpoint = 0x0400
| static

always show '.' for floating numbers

## ◆ showpos

const fmtflags ios_base::showpos = 0x0800
| static

show + sign for nonnegative numbers

## ◆ skipws

const fmtflags ios_base::skipws = 0x1000
| static

skip initial white space

## ◆ trunc

const openmode ios_base::trunc = 0X80
| static

truncate an existing stream when opening

## ◆ uppercase

const fmtflags ios_base::uppercase = 0x4000
| static

use uppercase letters in number representations

The documentation for this class was generated from the following file:

- Arduino/libraries/SdFat/src/FatLib/ios.h